use std::env;
use std::net::ToSocketAddrs;

pub fn get_env(name: String, default_value: String) -> String {
    return env::var(name).unwrap_or(default_value);
}

pub struct HostPort {
    pub(crate) host: String,
    pub(crate) port: u16,
}

pub fn host_port(addr: String) -> Option<HostPort> {
    addr.to_socket_addrs().ok().and_then(|mut addrs| {
        addrs.next().map(|addr| {
            let host = addr.ip().to_string();
            let port = addr.port();
            HostPort { host, port }
        })
    })
}
